package net.wanji.com.mapper;

import net.wanji.com.pojo.po.CrossInfoPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author duanruiming
 * @date 2023/05/09 9:10
 */
public interface TCrossInfoMapper {
    CrossInfoPO selectByPrimaryKey(@Param("key") String key);

    void insertBatch(@Param("entities") List<CrossInfoPO> crossInfoPOList);

    List<String> selectCrossCodesByIds(@Param("entities") List<String> crossIdList);

    String selectIdByCodeAndManufacturerId(@Param("crossCode") String crossCode,
                                           @Param("manufacturerId")Integer manufacturerId);

    List<CrossInfoPO> selectByManufacturerId(@Param("manufacturerId") Integer manufacturerId);

    List<CrossInfoPO> selectByOptionals(@Param("crossName") String crossName,
                                        @Param("manufacturerId") Integer manufacturerId);

    void insertOne(CrossInfoPO crossInfoPO);

    void updateOne(CrossInfoPO crossInfoPO);

    void deleteBatch(@Param("ids") List<String> ids);

    void updateOneByCodeAndManufacturerId(CrossInfoPO crossInfoPO);

    void deleteById(String id);

    List<CrossInfoPO> selectAll();
}
